using System.Collections;
using UnityEngine;

public static class VersionHelper
{
    private static string ACTIVITY_NAME = "com.unity3d.player.UnityPlayer";
    private static string CONTEXT = "currentActivity";
    private static string VERSION_HELPER_CLASS = "com.logitech.versionhelpermodule.VersionHelper";

    private static AndroidJavaObject versionHelper = null;

    public static string ExpansionFileLocation
    {
        get
        {
#if UNITY_ANDROID
            if (versionHelper == null)
            {
                AndroidJavaObject context = new AndroidJavaClass(ACTIVITY_NAME).GetStatic<AndroidJavaObject>(CONTEXT);
                versionHelper = new AndroidJavaObject(VERSION_HELPER_CLASS, context);
            }
            return versionHelper.Call<string>("GetExpansionFilePath");
#else
              return "";
#endif
        }
    }
}

public class LoadAssetBundles : MonoBehaviour
{
    public AssetBundle assetBundle;
    private string _assetBundleName;
    void Start()
    {
        _assetBundleName = VersionHelper.ExpansionFileLocation;
        Debug.Log("mx_ink_sample: Loading asset bundle: " + _assetBundleName);
        StartCoroutine(LoadAssets());
    }
    IEnumerator LoadAssets()
    {
        var op = AssetBundle.LoadFromFileAsync(_assetBundleName);
        yield return op;

        assetBundle = op.assetBundle;
        if (assetBundle == null)
        {
            Debug.LogError("mx_ink_sample: Failed to load AssetBundle: " + _assetBundleName);
        }
    }
}
