using UnityEngine;

public class LoadAssets : MonoBehaviour
{
    public StylusHandler stylus;
    private bool _frontButtonPressed = false;
    private bool _modelInScene = false;
    void Update()
    {
        if (stylus)
        {
            if (!_frontButtonPressed && stylus.CurrentState.cluster_front_value && !_modelInScene)
            {
                Debug.Log("mx_ink_sample: Instantiating 3d model");
                AssetBundle assetBundle = FindFirstObjectByType<LoadAssetBundles>().assetBundle;
                if (assetBundle != null)
                {
                    Debug.Log("mx_ink_sample: loading model prefab");
                    var _modelPrefab = assetBundle.LoadAsset("Assets/Models/3dmodel.prefab");
                    Instantiate(_modelPrefab, new Vector3(0, 0.7f, 0), Quaternion.identity);
                    _modelInScene = true;
                }
                else
                {
                    Debug.Log("mx_ink_sample: asset bundle not loaded");
                }
                _frontButtonPressed = stylus.CurrentState.cluster_front_value;
            }
        }
    }
}
